CVE-2013-0310

MEDIUM

Description

The cipso_v4_validate function in net/ipv4/cipso_ipv4.c in the Linux kernel before 3.4.8 allows local users to cause a denial of service (NULL pointer dereference and system crash) or possibly have unspecified other impact via an IPOPT_CIPSO IP_OPTIONS setsockopt system call.

References

http://git.kernel.org/?p=linux/kernel/git/torvalds/linux-2.6.git;a=commit;h=89d7ae34cdda4195809a5a987f697a517a2a3177

http://rhn.redhat.com/errata/RHSA-2013-0496.html

http://www.kernel.org/pub/linux/kernel/v3.x/ChangeLog-3.4.8

http://www.openwall.com/lists/oss-security/2013/02/20/5

https://bugzilla.redhat.com/show_bug.cgi?id=912900

https://github.com/torvalds/linux/commit/89d7ae34cdda4195809a5a987f697a517a2a3177

Details

Source: MITRE

Published: 2013-02-22

Updated: 2019-04-22

Type: CWE-119

Risk Information

CVSS v2.0

Base Score: 6.6

Vector: AV:L/AC:M/Au:S/C:C/I:C/A:C

Impact Score: 10

Exploitability Score: 2.7

Severity: MEDIUM